/* myprofile 處理函數*/

function MyProfile_load() {
    set_pagemunber("MyProfile_page"); //設置當前頁面數為myprofile
    $("#myappointmenttitle")[0].innerHTML = lang.text.MyProfileheader; //設置myprofile的header
    appointment_profile = "profile";
    if (getLS("loginflage") == "true") {
        console.log('API myprofile');
        $("#MyProfiletitle")[0].innerHTML = lang.text.MyProfiletitleinfo;
        $('#myatheadlogin').hide();
        $('#myatheadlogou').show();
        $('#myprofile_table').show();
        $('#MyProfilereset').show();
        $('#MyProfilesub').show();
        myprofile_api(); //登录后的我的资料API请求

    } else if (getLS("loginflage") == "false") {
        $('#myatheadlogin').show();
        $('#myatheadlogou').hide();
        console.log('没有登录！');
        $("#MyProfiletitle")[0].innerHTML = lang.text.nologin;
        $('#myprofile_table').hide();
        $('#MyProfilereset').hide();
        $('#MyProfilesub').hide();
        setLS("loginflage", "false");
    }
    $("#To_changepswpage").bind("click", function() { //修改密碼綁定
        $.ui.loadContent('#changepsw_page', false, false, 'slide');

    });
    $("#MyProfilesub").bind("click", function() { //save 按鈕綁定
        popup_myprofile_save(); //彈出框
    });
    $("#MyProfilereset").bind("click", function() { //cancela按鈕綁定
        popup_myprofile_cansel(); //彈出框
    });

}
//登录后的我的资料API请求
function myprofile_api() {
    showMask("loading");
    var mydoc_opts = {
        url: URL + "getProfile?memberid=" + loginid + "&sessionkey=" + loginsessionkey + "&lang=" + getLS("lang"),
        type: "GET",
        dataType: "jsonp",
        jsonp: "callback",
        jsonpCallback: "callback",
        success: function(data) {
            $.ui.hideMask();
            console.log("member.id is " + data.member.id);
            if (data.result.code == "1") {
                myprofile_detail(data); //服务器返回的数据处理
            } else
                popups(data.result.message);

        },
        error: function() {
            $.ui.hideMask();
            popups(lang.text.neteroor);
        }
    }

    $.ajax(mydoc_opts);
}
//服务器返回的数据处理
function myprofile_detail(_data) {

    $("#MyProfilename")[0].value = _data.member.name;
    $("#MyProfileemail")[0].value = _data.member.email;
    $("#MyProfiletelep")[0].value = _data.member.telephone;
}
//按下save 按鈕後 彈出框
function popup_myprofile_save() {
    $("#afui").popup({
        title: " ",
        message: lang.text.MyProfilepopup_save,
        cancelText: lang.text.appointmentpopupscancel,
        cancelCallback: function() {
            console.log("cancelled");
        },
        doneText: lang.text.mainsure,
        doneCallback: function() {
            updata_myprofile(); //更新我的资料页面
        },
        cancelOnly: false
    });
}
//按下cansel 按鈕後 彈出框
function popup_myprofile_cansel() {
    $("#afui").popup({
        title: " ",
        message: lang.text.MyProfilepopup_cansel,
        cancelText: lang.text.appointmentpopupscancel,
        cancelCallback: function() {
            console.log("cancelled");
        },
        doneText: lang.text.mainsure,
        doneCallback: function() {
            //$.ui.loadContent('#main_page', false, false, 'slide');
            myprofile_api();

        },
        cancelOnly: false
    });
}
//更新save按钮 更新我的资料页面函数
function updata_myprofile() {
    var updata_name = "";
    var updata_telephone = "";
    updata_name = $("#MyProfilename")[0].value;
    updata_telephone = $("#MyProfiletelep")[0].value;
    showMask("loading");
    var mydoc_opts = {
        url: URL + "updateProfile?memberid=" + loginid + "&sessionkey=" + loginsessionkey + "&name=" + updata_name + "&telephone=" + updata_telephone + "&lang=" + getLS("lang"),
        type: "GET",
        dataType: "jsonp",
        jsonp: "callback",
        jsonpCallback: "callback",
        success: function(data) {
            $.ui.hideMask();
            console.log(data.result.code);
            if (data.result.code == "1") {
                popups(lang.text.MyProfilepopup_saveok);
                $("#munberNo").html(data.member.name); //更新nav 菜單上的名稱
                myprofile_detail(data);

            } else {
                popups(data.result.message);
                console.log("error");
            }
        },
        error: function() {
            $.ui.hideMask();
            popups(lang.text.neteroor);
        }
    }

    $.ajax(mydoc_opts);
}
//我的资料页面卸载是调用的函数
function MyProfile_unload() {
    $("#To_changepswpage").unbind("click");
    $("#MyProfilesub").unbind("click");
    $("#MyProfilereset").unbind("click");
}

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%//
//change password  頁面函數處理
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@//
//修改密码页面加载时的函数处理
function changepswpage_load() {
    console.log("changePassword  load");
    /* if (save_password == "") {
        $("#changepsw_current")[0].value="";
    } else {
        $("#changepsw_current")[0].value=save_password;
    }
    */
    $("#changepsw_current")[0].value = "";
    $("#changepsw_new")[0].value = "";
    $("#changepsw_comfirm")[0].value = "";
}

function updata_password() {
    var changepsw_current = "";
    var changepsw_new = "";
    var changepsw_comfirm = "";
    changepsw_current = $("#changepsw_current")[0].value;
    changepsw_new = $("#changepsw_new")[0].value;
    changepsw_comfirm = $("#changepsw_comfirm")[0].value;
    if (changepsw_current == "") {
        popups(lang.text.changepsw_current_emty);
    } else if (changepsw_new == "") {
        popups(lang.text.changepsw_new_emty);
    } else if (changepsw_comfirm == "") {
        popups(lang.text.changepsw_comfirm_emty);
    } else if (changepsw_current == changepsw_new) {
        popups(lang.text.changepsw_current_new);
    } else if (changepsw_new != changepsw_comfirm) {
        popups(lang.text.changepsw_new_comfirm);
    } else if (changepsw_new != "" & changepsw_current != "" & changepsw_comfirm != "") {
        //按下save 按鈕後 彈出框
        $("#afui").popup({
            title: " ",
            message: lang.text.MyProfilepopup_save,
            cancelText: lang.text.appointmentpopupscancel,
            cancelCallback: function() {
                console.log("cancelled");
            },
            doneText: lang.text.mainsure,
            doneCallback: function() {
                showMask("loading");
                var mydoc_opts = {
                    url: URL + "changePassword?memberid=" + loginid + "&sessionkey=" + loginsessionkey + "&currentpassword=" + changepsw_current + "&newpassword=" + changepsw_new + "&lang=" + getLS("lang"),
                    type: "GET",
                    dataType: "jsonp",
                    jsonp: "callback",
                    jsonpCallback: "callback",
                    success: function(data) {
                        $.ui.hideMask();
                        if (data.result.code == "1") {
                            popups(lang.text.MyProfilepopup_saveok);
                            //logout();
                            //$.ui.loadContent('#login_page', false, false, 'slide');
                            console.log(data.result.message);
                            // save_password = $("#changepsw_new")[0].value;
                            $("#changepsw_current")[0].value = "";
                            $("#changepsw_new")[0].value = "";
                            $("#changepsw_comfirm")[0].value = "";
                        } else {
                            popups(lang.text.MyProfilepopup_savefail);
                            console.log(data.result.message);
                            save_password = "";
                        }

                    },
                    error: function() {
                        $.ui.hideMask();
                        popups(lang.text.neteroor);
                    }
                }

                $.ajax(mydoc_opts);
            },
            cancelOnly: false
        });

    }
}
//修改密码页面卸载时的函数处理
function changepswpage_unload() {
    console.log("changePassword  unload");

}