//主页面处理函数 

//API Domain
//0 - DEV
//1 - UAT
//2 - PRODUCTION
//3 - QHMS Internal UAT
var API_ENV = 2;

//Application Behaviour
//0 - DEV
//1 - UAT
//2 - PROD
var APP_ENV = 2;

var URL;
if(API_ENV == 0)
	URL = "http://localhost/qhc_app/api/"; //DEV 
else if(API_ENV == 1)
	URL = "http://118.143.31.115:8080/qhc_app/api/"; //UAT 
else if(API_ENV == 2)
	URL = "http://apps.drsanderson.com.hk/api/"; //production 
else if(API_ENV == 3)
	URL = "http://192.168.72.68/qhc_app/api/";	//QHMS Internal UAT

var style;
setLS("loginflage", "false");
// var GeneralPractice_li = "General Practice";
// var Specialty_li = "Specialty";
// var Other_li = "Other";
// var doctor01_li = "General Practitioner (Medical Aesthetic Service)";
// var doctor02_li = "General Practitioner";
// var dateselect;
// var timeselect;
// var date_and_time_flage;


//Store the selected item 
var clinic_id;	//Selected Clinic id
var clinic_name;	//Selected Clinic name
var eabs_clinic_ID;	//Selected Clinic eabs_clinic_ID

var service_id;	//Selected Service id
var service_name;	//Selected Service id
var doctor_to_date_id;	//Selected Doctor id
var date_to_time = "";	//Selected Date
var timevalue = "";		//Selected Time

//Indicator for selected the item
var selectdoctore_flage = "";
var selectdate_flage = "";
var seletetime_flage = "";
var selectservice_flage = "";
var selectclinic_flage = "";

var nologin_book; //沒有登錄就book的標誌；

function mainpage_load() {

	getlangs();

	//Update clinic icon
	$("#homepage_logo").attr("src","img/logo_corporate.png");

	set_pagemunber("main_page");

	$("#clinicinfo")[0].innerHTML = lang.text.mainclinicinfo;
	$("#serviceinfo")[0].innerHTML = lang.text.mainserviceinfo;
	$("#doctorinfo")[0].innerHTML = lang.text.maindoctorinfo;
	$("#dateinfo")[0].innerHTML = lang.text.maindateinfo;
	$("#timeinfo")[0].innerHTML = lang.text.maintimeinfo;
	selectdoctore_flage = "";
	selectdate_flage = "";
	seletetime_flage = "";
	selectservice_flage = "";
	selectclinic_flage = "";

	if (getLS("loginflage") == "true") {
		$("#homepagehead").show();

	} else if (getLS("loginflage") == "false") {
		$("#homepagehead").hide();
	}

	console.log('mainpage load');

	$("#selectClinic").bind("click", function() {
		console.log('select clinic');
		selectclinic_preesed();
	});
	$("#selectService").bind("click", function() {
		console.log('select service');
		selectservice_preesed();
	});
	$("#selectDoctor").bind("click", function() {
		console.log('select doctor');
		selectDoctor_preesed();
	});
	$("#selectDate").bind("click", function() {
		console.log('select date');
		selectDate_pressed();
		//createmobiscroll();

	});
	$("#selectTime").bind("click", function() {
		console.log('select time');
		selectTime_pressed();
	});
}

function mainpage_unload() {
	$("#selectClinic").unbind("click");
	$("#selectService").unbind("click");
	$("#selectDoctor").unbind("click");
	$("#selectDate").unbind("click");
	$("#selectTime").unbind("click");
}

function bookappointmentbtu() {
	$.ui.loadContent('#thankyou_page', false, false, 'slide');
}

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% clinic
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function selectclinic_preesed() {

	select_clinic_api();
}

function select_clinic_api() {
	showMask("loading");
	var selectlinic_opts = {
		url: URL + 'getclinic?lang=' + getLS("lang"),
		type: "GET",
		dataType: "jsonp",
		jsonp: "callback",
		jsonpCallback: "callback",
		success: function(data) {
			$.ui.hideMask();
			console.log('selectclinic success');
			if (data.result.code == "1") {
				console.log('API——-selectclinic success');
				//popups(data.services.length);
				showSheet_clinic(data);
			} else if (data.result.code == "-5") {
				popups(data.result.message);

			}

		},
		error: function() {
			$.ui.hideMask();
			popups(lang.text.neteroor);

		}
	}

	$.ajax(selectlinic_opts);

}

function showSheet_clinic(data) {

	//把數據的分類放入數組中
	var a = [];
	for (i = 0; i < data.clinics.length; i++) {
		a.push(data.clinics[i].name);
	}

	console.log("原数组：" + a[0]);
	//console.log("整理后的数组是：" + a.distinctCloseTo()); //調用數組 这个不能删  此处调用了 处理函数
	console.log("整理后的长度是:" + a.length)
	var li_start = '<div class="ssclinic"><div><ul class="ssclinicul">';
	var li_end = '</ul></div></div>';
	var li_mark = "";
	for (i = 0; i < a.length; i++) {
		li_mark += '<li style="background:#a79781;padding:0.25em 0px 0.25em 15px;color:white;">' + a[i] + '</li>';
		for (j = 0; j < data.clinics.length; j++) {
			if (data.clinics[j].name == a[i]) {

				li_mark += '<li style="color:#e8e8e8"><a eabs_clinic_id="' + data.clinics[j].eabs_clinic_ID + '" rel="' + data.clinics[j].clinic_id + '">' + data.clinics[j].name + '</a></li>';
			}
		}
	}
	li_mark = li_start + li_mark + li_end;
	$("#afui").actionsheet(li_mark);

	var myScroller = $(".ssclinic").scroller({   
		verticalScroll: true,
		   horizontalScroll: false,
		   autoEnable: true
	})

	$(".ssclinicul li a").bind("click", function() {
		var id = $(this).attr("rel");
		var selected_eabs_clinic_id = $(this).attr("eabs_clinic_id");
		var name = $(this).html();

		clinic_id = id;
		clinic_name = name;
		eabs_clinic_ID = selected_eabs_clinic_id;
		selectclinic_flage = "selected";

		$("#clinicinfo").html(name);
		$("#serviceinfo")[0].innerHTML = lang.text.mainserviceinfo;
		$("#doctorinfo")[0].innerHTML = lang.text.maindoctorinfo;
		$("#dateinfo")[0].innerHTML = lang.text.maindateinfo;
		$("#timeinfo")[0].innerHTML = lang.text.maintimeinfo;

		selectservice_flage = "";
		selectdoctore_flage = "";
		selectdate_flage = "";
		seletetime_flage = "";

		//Update clinic icon
		if(eabs_clinic_ID == "CTR-064") {
			$("#homepage_logo").attr("src","img/logo_anderson.png");
		}
		else {
			$("#homepage_logo").attr("src","img/logo_corporate.png");	
		}
	})

}

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% service
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function selectservice_preesed() {

	select_service_api();
}

function select_service_api() {

	if (selectclinic_flage == "selected") {

		showMask("loading");
		var selectservice_opts = {
			url: URL + 'getService?lang=' + getLS("lang") + '&clinicid=' + clinic_id,
			type: "GET",
			dataType: "jsonp",
			jsonp: "callback",
			jsonpCallback: "callback",
			success: function(data) {
				$.ui.hideMask();
				console.log('selectservice success');
				if (data.result.code == "1") {
					console.log('API——-selectservice success');
					//popups(data.services.length);
					showSheet_service(data);
				} else if (data.result.code == "-5") {
					popups(data.result.message);

				}

			},
			error: function() {
				$.ui.hideMask();
				popups(lang.text.neteroor);

			}
		}

		$.ajax(selectservice_opts);
	}

}


// 除去數組中重複的元素
Array.prototype.distinctCloseTo = function() {
	var $ = this;
	var o3 = new Array();
	var t = 0
	for (var i = 0; i < $.length; i++) {
		if ($[i] != $[i + 1]) {

			o3[t] = $[i];
			t++;
		}
	}
	$.length = 0;
	for (var j = 0; j < o3.length; j++) {
		$[j] = o3[j];
	}
	return o3;
}

function showSheet_service(data) {


	//把數據的分類放入數組中
	var a = [];
	for (i = 0; i < data.services.length; i++) {
		a.push(data.services[i].c_name);
	}

	console.log("原数组：" + a[0]);
	console.log("整理后的数组是：" + a.distinctCloseTo()); //調用數組 这个不能删  此处调用了 处理函数
	console.log("整理后的长度是:" + a.length)
	var li_start = '<div class="ssse"><div><ul class="ssseul">';
	var li_end = '</ul></div></div>';
	var li_mark = "";
	for (i = 0; i < a.length; i++) {
		li_mark += '<li style="background:#a79781;padding:0.25em 0px 0.25em 15px;color:white;">' + a[i] + '</li>';
		for (j = 0; j < data.services.length; j++) {
			if (data.services[j].c_name == a[i]) {

				li_mark += '<li style="color:#e8e8e8"><a rel="' + data.services[j].id + '">' + data.services[j].name + '</a></li>';
			}
		}
	}
	li_mark = li_start + li_mark + li_end;
	$("#afui").actionsheet(li_mark);

	var myScroller = $(".ssse").scroller({   
		verticalScroll: true,
		   horizontalScroll: false,
		   autoEnable: true
	})

	$(".ssseul li a").bind("click", function() {
		var id = $(this).attr("rel");
		var name = $(this).html();
		service_id = id;
		service_name = name;
		selectservice_flage = "selected";
		$("#serviceinfo").html(name);
		$("#doctorinfo")[0].innerHTML = lang.text.maindoctorinfo;
		$("#dateinfo")[0].innerHTML = lang.text.maindateinfo;
		$("#timeinfo")[0].innerHTML = lang.text.maintimeinfo;
		selectdoctore_flage = "";
		selectdate_flage = "";
		seletetime_flage = "";
	})

}


/*
function service_to_name(name) {

	service_name = name;

}
*/
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&     doctor
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&

function selectDoctor_preesed() {

	select_doctor_api();

	console.log(selectservice_flage);
}

function select_doctor_api() {
	showMask("loading");
	if (selectservice_flage == "selected") {
		var selectdoctor_opts = {
			url: URL + 'getDoctor?serviceid=' + service_id + '&lang=' + getLS("lang") + '&clinicid=' + clinic_id,
			type: "GET",
			dataType: "jsonp",
			jsonp: "callback",
			jsonpCallback: "callback",
			success: function(data) {
				$.ui.hideMask();
				console.log('selectservice success');
				if (data.result.code == "1") {
					console.log('API——-doctor success');
					//popups(data.services.length);
					showSheet_doctor(data);
				} else if (data.result.code == "-5") {
					popups(data.result.message);

				}

			},
			error: function() {
				$.ui.hideMask();
				console.log('selectservice success');
				popups(lang.text.neteroor);
			}
		}

		$.ajax(selectdoctor_opts);
		//selectservice_flage = "";
	} else {
		$.ui.hideMask();
		//popups("請先選擇server");
		return false;
	}

}

function showSheet_doctor(data) {
	var stringjson = '<div class="ssdr"><ul><li style="background:#a79781;padding:0.25em 0px 0.25em 10px;color:white;">' + service_name + '</li>';

	var strdoctor = "";
	if (data.doctors.length == 0)
		popups("no date ");
	for (i = 0; i < data.doctors.length; i++) {
		strdoctor += '<li style="color:#a79781"><a onclick="doctor_to_date(' + data.doctors[i].id + ',\'' + data.doctors[i].name + '\')">' + data.doctors[i].name + '</a></li>';
	}
	var str = stringjson + strdoctor;
	str += '</ul></div>';
	$("#afui").actionsheet(str);

	var myScroller = $(".ssdr").scroller({   
		verticalScroll: true,
		   horizontalScroll: false,
		   autoEnable: true
	})

}



function doctor_to_date(id, doctorname) {
	console.log('doctor id  is :' + id);
	doctor_to_date_id = id;
	$("#doctorinfo").html(doctorname); //顯示在屏幕上
	selectdoctore_flage = "selected";

	$("#dateinfo")[0].innerHTML = lang.text.maindateinfo;
	$("#timeinfo")[0].innerHTML = lang.text.maintimeinfo;

	selectdate_flage = "";
	seletetime_flage = "";
}

//##################################################   date 
function selectDate_pressed() {
	/*if (getLS("loginflage") == "true") {
		console.log('API doctor');
		select_date_api();
	} else if (getLS("loginflage") == "false") {
		console.log('没有登录！');
		$.ui.loadContent('#login_page', false, false, 'slide');
	}
	*/
	select_date_api();
}

function select_date_api() {

	if (selectdoctore_flage == "selected") {
		showMask("loading");
		var selectdate_opts = {
			url: URL + 'getDate?serviceid=' + service_id + '&doctorid=' + doctor_to_date_id + '&lang=' + getLS("lang") + '&clinicid=' + clinic_id,
			type: "GET",
			dataType: "jsonp",
			jsonp: "callback",
			jsonpCallback: "callback",
			success: function(data) {
				console.log('selectservice success');

				if (data.result.code == "1") {
					console.log('API——-doctor success');
					//popups(data.services.length);
					//showSheet_date(data);
					createmobiscroll_date(data);
				} else if (data.result.code == "-5") {
					popups(data.result.message);
					$.ui.hideMask();
				}

			},
			error: function() {
				console.log('selectservice success');
				popups(lang.text.neteroor);
				$.ui.hideMask();
			}
		}

		$.ajax(selectdate_opts);
		//selectdoctore_flage = "";
	} else {

		return false;
	}
}

/*
function donepreesed() {
	//popups(hangval);
	if (date_and_time_flage == "date") {
		date_to_time = dateselect.dates[hangval].date;
		date_and_time_flage = "";
	}
	if (date_and_time_flage == "time") {
		timevalue = timeselect.times[hangval].time;
		date_and_time_flage = "";
	}
	$("#box").hide();
}
*/

function createmobiscroll_date(data) {
	$('#scroller').html("");
	var str;
	for (i = 0; i < data.dates.length; i++) {
		//str += '<option value=' + data.dates[i].date + '>' + data.dates[i].date + '</option>';
		str += '<option value=' + data.dates[i].date + '>' + change_riqi(data.dates[i].date) + '</option>';
		console.log(data.dates[i].date);
	}
	$('#scroller').append(str);

console.log("ABC");

	var date_opts = {
		animate: "slideup",
		theme: "ios7",
		preset: "select",
		mode: "scroller",
		display: "bottom",
		lang: "zh",
		onSelect: function() {
			console.log("DEF");
			date_to_time = seletedvalue;
			selectdate_flage = "selected";
			$("#dateinfo").html(change_riqi(date_to_time)); //显示在屏幕上	
			$("#timeinfo")[0].innerHTML = lang.text.maintimeinfo;
			seletetime_flage = "";
		}

	};
	$("#scroller").mobiscroll(date_opts);
	$("#scroller").mobiscroll('show');
	$(".mbsc-ios7 .dwbc .dwb-s >div").html(lang.text.sure);

	$.ui.hideMask();
}

function cut_substring_nian(strsub) {
	var strsub_nian = strsub;
	strsub_nian = strsub_nian.substring(0, 4);
	console.log("nian " + strsub_nian);
	return strsub_nian;
}

function cut_substring_yue(strsub) {
	var strsbu_yue = strsub;
	strsbu_yue = strsbu_yue.substring(5, 7);
	strsbu_yue = swithyue(strsbu_yue); //轉換格式
	console.log("yue: " + strsbu_yue);
	return strsbu_yue;

}

function cut_substring_ri(strsub) {

	var strsub_ri = strsub;
	strsub_ri = strsub_ri.substring(8, 10);
	console.log("ri: " + strsub_ri);
	return strsub_ri;
}
//把 在中文情况下的 02 变成  2
function format_ri(strsub) {
	if (parseInt(strsub) < 10) {
		var format_strsub = strsub.substring(1, 2);
	} else
		format_strsub = strsub;
	if (getLS("lang") == "tc") {
	format_strsub=format_strsub+"日";	
	}
	return format_strsub;
}
function swithyue(sub) {
  var subdate = "";
  switch (sub) {
    case "01":
      subdate = lang.text.Jan;
      break;
    case "02":
      subdate = lang.text.Feb;
      break;
    case "03":
      subdate = lang.text.Mar;
      break;
    case "04":
      subdate = lang.text.Apr;
      break;
    case "05":
      subdate = lang.text.May;
      break;
    case "06":
      subdate = lang.text.June;
      break;
    case "07":
      subdate = lang.text.July;
      break;
    case "08":
      subdate = lang.text.Aug;
      break;
    case "09":
      subdate = lang.text.Sep;
      break;
    case "10":
      subdate = lang.text.Oct;
      break;
    case "11":
      subdate = lang.text.Nov;
      break;
    case "12":
      subdate = lang.text.Dec;
      break;
  }

  return subdate;
}
function change_riqi(strsub) {
	var riqi_new = "";
	if (getLS("lang") == "en") {
		riqi_new = cut_substring_ri(strsub) + " " + cut_substring_yue(strsub) + "  " + cut_substring_nian(strsub);
	}
	if (getLS("lang") == "tc") {
		riqi_new = cut_substring_nian(strsub) + "年" + cut_substring_yue(strsub) + format_ri(cut_substring_ri(strsub));
	}
	return riqi_new;

}
//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@    time
function selectTime_pressed() {
	/*if (getLS("loginflage") == "true") {
		console.log('API doctor');
		select_time_api();
	} else if (getLS("loginflage") == "false") {
		console.log('没有登录！');
		$.ui.loadContent('#login_page', false, false, 'slide');
	}
	*/
	select_time_api();
}

function select_time_api() {
	showMask("loading");
	if (selectdate_flage == "selected") {
		var selecttime_opts = {
			url: URL + 'getTime?serviceid=' + service_id + '&doctorid=' + doctor_to_date_id + "&lang=" + getLS("lang") + '&date=' + date_to_time  + '&clinicid=' + clinic_id,
			type: "GET",
			dataType: "jsonp",
			jsonp: "callback",
			jsonpCallback: "callback",
			success: function(data) {
				console.log('selectservice success');
				if (data.result.code == "1") {
					console.log('API——-doctor success');
					//popups(data.services.length);
					//showSheet_time(data);
					createmobiscroll_time(data);
				} else if (data.result.code == "-5") {
					popups(data.result.message);
					$.ui.hideMask();
				}

			},
			error: function() {
				$.ui.hideMask();
				console.log('selectservice success');
				popups(lang.text.neteroor);
			}
		}

		$.ajax(selecttime_opts);
		//selectdate_flage = "";

	} else {
		$.ui.hideMask();
		return false;
	}
}


function createmobiscroll_time(data) {
	var str;
	$('#scroller').html("");
	for (i = 0; i < data.times.length; i++) {
		str += '<option value=' + data.times[i].time + '>' + data.times[i].time + '</option>';
		console.log(data.times[i].time);
	}
	$('#scroller').append(str);

	var date_opts = {
		animate: "slideup",
		theme: "ios7",
		preset: "select",
		mode: "scroller",
		display: "bottom",
		lang: "zh",
		onSelect: function() {
			timevalue = seletedvalue;
			seletetime_flage = "selected";
			$("#timeinfo").html(seletedvalue); //'在屏幕上显示
		}

	};
	$("#scroller").mobiscroll(date_opts);
	$("#scroller").mobiscroll('show');
	$(".mbsc-ios7 .dwbc .dwb-s >div").html(lang.text.sure);
	$.ui.hideMask();
}
/*
function showSheet_time(data) {
	var str = "";
	timeselect = data;

	for (i = 0; i < data.times.length; i++) {
		str += '<li id=' + i + '><a>' + data.times[i].time + '</a></li>';
	}
	$('#wins').html(str);
	$("#box").show();
	heightinit();
	date_and_time_flage = "time";
}
*/


//#######################################################################
//####################################################################### book
function bookingalertbox() {
	$("#afui").popup({
		title: " ",
		message: lang.text.mainbookalertbox,
		cancelText: lang.text.appointmentpopupscancel,
		cancelCallback: function() {
			console.log("cancelled");

		},
		doneText: lang.text.mainsure,
		doneCallback: function() {
			console.log("book sure");
			//bookbtupreessed();
			showMask("loading");
			var booking_opts = {
				url: URL + "booking?" + "memberid=" + loginid + "&sessionkey=" + loginsessionkey + "&service=" + service_id + "&doctor=" + doctor_to_date_id + "&date=" + date_to_time + "&time=" + timevalue + "&lang=" + getLS("lang") + "&clinicid=" + clinic_id,
				type: "GET",
				dataType: "jsonp",
				jsonp: "callback",
				jsonpCallback: "callback",
				success: function(data) {
					console.log('dddd');

					if (data.result.code == "1") {
						$.ui.loadContent('#thankyou_page', false, false, 'slide');
					} else if (data.result.code == "-5") {
						popups(data.result.message);
					} else if (data.result.code == "-3") {
						popups(data.result.message);
					}
					//seletetime_flage = "";
					$.ui.hideMask();
				},
				error: function() {
					$.ui.hideMask();
					popups(lang.text.neteroor);
				}
			}

			$.ajax(booking_opts);
		},
		cancelOnly: false
	});
}

function bookingalertbox_no() {
	$("#afui").popup({
		title: " ",
		message: lang.text.mainbookalertbox,
		cancelText: lang.text.appointmentpopupscancel,
		cancelCallback: function() {
			console.log("cancelled");

		},
		doneText: lang.text.mainsure,
		doneCallback: function() {
			console.log("book sure");
			nologin_book = "nologinbook";
			$.ui.loadContent('#login_page', false, false, 'slide');
		},
		cancelOnly: false
	});
}
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%                    book键按下
function bookbtupreessed() {
	if (getLS("loginflage") == "true") {
		if (seletetime_flage == "selected") {
			bookingalertbox();
		} else {
			return false;
		}

	} else if (getLS("loginflage") == "false") {
		if (seletetime_flage == "selected") {
			console.log('没有登录！');
			bookingalertbox_no();

		} else {

			return false;
		}
	}


}