var webRoot = "./";
var js_token_type;
var js_token;
var pushNotification;
//初始化默认设置
$.ui.animateHeaders = false; //禁止头部动画
$.ui.useOSThemes = false; //禁止自动选择皮肤
$.ui.autoLaunch = true; //自动初始化
$.ui.openLinksNewTab = false; //禁止在新窗口打开页面？
$.ui.splitview = false; //禁止大于某个分辨率自动展开菜单
$.ui.backButtonText = " "; //设置后退按钮文字
$.ui.setLeftSideMenuWidth('230px');
$.feat.nativeTouchScroll = false; //Disable native scrolling globally

function checkConnection() {
	var networkState = navigator.network.connection.type;
	var states = {};
	states[Connection.UNKNOWN] = 1;
	states[Connection.ETHERNET] = 2;
	states[Connection.WIFI] = 3;
	states[Connection.CELL_2G] = 4;
	states[Connection.CELL_3G] = 5;
	states[Connection.CELL_4G] = 6;
	states[Connection.NONE] = 0;

	alert('Connection type: ' + states[networkState]);
}
//启动页面
var init = function init() {
	setTimeout(function() {
		$.ui.launch();

	}, 3000)
};
document.addEventListener("DOMContentLoaded", init, false);


	if( $.os.android ){
		js_token_type = "gcm";	
	}else if( $.os.ios ){
		js_token_type = "apns";		
	}

//封装 toggle
function showHide(obj, objToHide) {
	var el = $("#" + objToHide)[0];

	if (obj.className == "expanded") {
		obj.className = "collapsed";
	} else {
		obj.className = "expanded";
	}
	$(el).toggle();
}


//桌面浏览器模拟触摸，打包请删除
if (!((window.DocumentTouch && document instanceof DocumentTouch) || 'ontouchstart' in window)) {
	var script = document.createElement("script");
	script.src = "plugins/af.desktopBrowsers.js";
	var tag = $("head").append(script);
}


//  sessionstorage 与  localStorage 的区别在于  （两个方式的存储容量一般都为 5M 大小，基本上足够使用了）
//  sessionstorage 关闭浏览器就清除了。是一个临时储存的数据
//  localStorage  是一个趋于永久的缓存数据，不手动清除，就一直存在

//写入sessionstorage缓存 关闭浏览器自动清除
function setSS(key, data) {
	sessionStorage.setItem(key, data);
}

//读取sessionstorage缓存
function getSS(key) {
	return sessionStorage.getItem(key);
}

//设置缓存数据
function setLS(key, data) {
	console.log(key + '已写入缓存');
	localStorage.setItem(key, data);
}

//读取缓存数据
function getLS(key) {
	return localStorage.getItem(key);
}

//获取时间戳的方法
function getTimestamp() {
	var timestamp1 = Date.parse(new Date());
	return timestamp1 / 1000;
}




function pushplugin() {

	try {
		pushNotification = window.plugins.pushNotification;


		if (device.platform == 'android' || device.platform == 'Android' || device.platform == 'amazon-fireos') {
			pushNotification.register(successHandler, errorHandler, {
				"senderID": "486320999917",//  447443811063 //558166630938 //236609734568//486320999917
				"ecb": "onNotification"
			});
		} else {
			pushNotification.register(tokenHandler, errorHandler, {
				"badge": "true",
				"alert": "true",
				"sound": "true",
				"ecb": "onNotificationAPN"
			});
		}
	} catch (err) {
		txt = "There was an error on this page.\n\n";
		txt += "Error description: " + err.message + "\n\n";
		console.log(txt);
	}

}


// handle APNS notifications for iOS
function onNotificationAPN(e) {

	if (e.alert) {
         navigator.notification.alert(e.alert);
    }
        
    if (e.sound) {
        var snd = new Media(e.sound);
        snd.play();
    }
    
    if (e.badge) {
        pushNotification.setApplicationIconBadgeNumber(successHandler, e.badge);
    }


}

// handle GCM notifications for Android
function onNotification(e) {


	switch (e.event) {
		case 'registered':
			if (e.regid.length > 0) {
				console.log("Regid " + e.regid);
				//alert('registration id = ' + e.regid);
				js_token = e.regid;
				$.ajax({
					//url:"http://uatsvr6.mtel.ws/qhc_app/api/setSetting?" + "lang=" + getLS("lang") + "&tokentype=" + js_token_type + "&token=" + e.regid + "&memberid=" + getLS("log_id"),
					url:URL+"setSetting?" + "lang=" + getLS("lang") + "&tokentype=" + js_token_type + "&token=" + e.regid + "&memberid=" + getLS("log_id"),
					type:"get",
					dataType:"jsonp",
					jsonp:"callback",
					jsonpCallback:"callback",
					success:function(data){
						console.log(data.result.message);
						//alert(data.result.message);
					},
					error:function(){
						console.log("err");
					}
				})

			}
			break;

		case 'message':
			// this is the actual push notification. its format depends on the data model from the push server
			console.log('message = ' + e.message + ' msgcnt = ' + e.msgcnt);
			break;

		case 'error':
			console.log('GCM error = ' + e.msg);
			break;

		default:
			console.log('An unknown GCM event has occurred');
			break;
	}

}


function tokenHandler(result) {
	//alert('token: ' + result);
	js_token = result;

	var uptoken = {
		//url:"http://uatsvr6.mtel.ws/qhc_app/api/setSetting?" + "lang=" + getLS("lang") + "&tokentype=" + js_token_type + "&token=" + result + "&memberid=" + getLS("log_id"),
		url:URL+"setSetting?" + "lang=" + getLS("lang") + "&tokentype=" + js_token_type + "&token=" + result + "&memberid=" + getLS("log_id"),
		type: "GET",
		dataType: "jsonp",
		jsonp: "callback",
		jsonpCallback: "callback",
		success: function(data) {
			console.log( "succ" );
            //alert(data.result.message);
		},
		error: function() {
			//alert("err");
		}
	}
	//alert(uptoken.url);
	$.ajax(uptoken);
    

}

function successHandler(result) {
	 console.log('Callback Success! Result = '+result)
}

function errorHandler(error) {
	console.log('error:' + error);
}

function backbtns() {
	document.addEventListener('backbutton', onBackDown, false);
}

function onBackDown() {

	if( uiBlocked == true ){
		return false;
	}else if (window.location.hash == "#main_page" || window.location.hash == "") {
		navigator.app.exitApp();
	} else {
		navigator.app.backHistory();
	}
}

document.addEventListener("deviceready", pushplugin, false);
document.addEventListener("deviceready", backbtns, false);
