var now_version = "1.3.0";
var device_type = "";

//檢驗版本號
function check_version() {
	if ($.os.android) {
		device_type = "android";
	} else if ($.os.ios) {
		device_type = "iphone";
	}
	$.ajax({

		url: URL + "getAppsVersion?" + "devicetype=" + device_type,
		//url: URL + "getAppsVersion?" + "devicetype=iphone",
		type: "get",
		dataType: "jsonp",
		jsonp: "callback",
		jsonpCallback: "callback",
		success: function(data) {
			if (data.result.code == "1") {
				//alert(data.hard_version);
				compare_version(data);
			} else {
				//console.log(“version fail”);
				popups(data.result.message);
			}
		},
		error: function() {
			console.log("err");
		}
	})
}

//版本號比較
function compare_version(data) {
	if (data.hard_version > now_version) {
		
		//var ref = window.open('http://dl.m.tudou.com/android/phone/Tudou_Phone_tudouweb.apk', '_blank', 'location=yes');
		var ref = window.open(data.link, '_blank', 'location=yes');
	} else if (data.soft_version > now_version) {
		//alert("有最新的版本，你需要更新吗？？？？");
		$.ui.popup({
			title: "",
			message:lang.text.checkversioninfo,
			cancelText: lang.text.appointmentpopupscancel,
			cancelCallback: function() {
				console.log("cancelled");
			},
			doneText: lang.text.canceltext,
			doneCallback: function() {
				var ref = window.open(data.link, '_blank', 'location=yes');
			},
			cancelOnly: false
		});

	}
}

$(document).ready(function() {
	check_version();
});
//document.addEventListener("deviceready",check_version, false);